Class Index | File Index

## Classes

- _global_
- mxn
- mxn.BoundingBox
- mxn.Event
- mxn.Geocoder
- mxn.Invoker
- mxn.LatLonPoint
- mxn.Mapstraction
- mxn.Marker
- mxn.Polyline
- mxn.Radius
- mxn.util
- mxn.util.Color

# Class mxn.Geocoder

Defined in: mxn.geocoder.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| mxn.Geocoder(api, callback, error_callback) Geocoder instantiates a geocoder with some API choice

Field Summary
Field Attributes | Field Name and Description
--- | ---
| swap Change the geocoding API in use

Method Summary
Method Attributes | Method Name and Description
--- | ---
| geocode(address) Geocodes the provided address.

Class Detail
mxn.Geocoder(api, callback, error_callback)
Geocoder instantiates a geocoder with some API choice

Parameters:
{String} api
  The API to use, currently only 'mapquest' is supported
{Function} callback
  The function to call when a geocode request returns (function(waypoint))
{Function} error_callback
  The optional function to call when a geocode request fails

Field Detail
swap
Change the geocoding API in use
Method Detail
geocode(address)
Geocodes the provided address.

Parameters:
{Object} address
  Address hash, keys are: street, locality, region, country.

©2009
Documentation generated by JsDoc Toolkit 2.1.1 on Wed Jul 13 2011 23:10:52 GMT+0100 (BST)